Bug 1025821 - hsqldb: Split into two or more subpackages
hsqldb: Split into two or more subpackages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hsqldb (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
: StudentProject
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 12:45 EDT by Mikolaj Izdebski
Modified: 2014-09-04 02:27 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.3.1-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-04 02:27:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2013-11-01 12:45:58 EDT
Description of problem:
Currently hsqldb can be used either as a database daemon or as a library.
The second use case does not require systemd services.
Package hsqldb should be split into two packages - hsqldb and hsqldb-lib.
hsqldb would just just contain systemd services and require hsqldb-lib,
which would contain Java code and metadata.

Version-Release number of selected component (if applicable):
2.3.1-1
Comment 1 Fedora Admin XMLRPC Client 2014-06-24 08:12:48 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Mikolaj Izdebski 2014-09-04 02:17:08 EDT
Fixed in hsqldb-2.3.1-8
Comment 3 Mikolaj Izdebski 2014-09-04 02:27:03 EDT
I believe that this bug is fixed in hsqldb-2.3.1-8,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=575172

Note You need to log in before you can comment on or make changes to this bug.